.profile-container {
  min-height: calc(100dvh - 3.5rem); 
  height: fit-content;
  width: calc(100dvw - 620px);
  margin: 0px 300px;
  margin-top: 3.5rem; 
  background: #242424;
}

.profile-container-wrapper {
  margin: 0 6rem;
}

.profile-container-wrapper {
	display: flex;
  justify-content: space-between;
  flex-direction: row;
  flex-wrap: wrap;
}

.profile-username-container {
  margin-top: 4rem;
  margin-bottom: 2rem;
  font-size: 1.5rem;
}

.profile-info-container,
.profile-devices-container,
.profile-device-processes-container {
  background: #545454;
  border: 4px solid #303030;
  border-radius: 15px;
}

.profile-info-container,
.profile-devices-container {
  margin-top: 2rem;
  margin-bottom: 2rem;
  min-height: calc(50dvh - 9rem);
  height: fit-content;
}

.profile-devices-container,
.profile-device-processes-container {
  width: 100%;
  min-height: calc(50dvh - 7rem);
  height: fit-content;
  margin: 2rem 0rem;
}

.profile-info-container-wrapper ,
.profile-devices-container-wrapper ,
.profile-device-processes-container-wrapper {
  margin: 1rem;
}

.profile-info-container-wrapper {
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.profile-info__header,
.profile-devices__header,
.device-processes__header {
  font-size: 2rem;
  text-align: center;
  margin-bottom: 1rem;
}

.profile-devices__header,
.device-processes__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.profile-info__body {
  display: flex;
  flex-direction: column;
  font-size: 1.5rem;
}

.profile-device-processes-container-wrapper > .profile-devices__header {
  display: flex;
  justify-content: space-between;
}

.profile-devices__header > div {
  font-size: 1.5rem;
}

.devices-header-button {
  font-size: 1.5rem;
  padding: 0.7em 0.5em;
}

.devices-header-button.delete-button {
  margin-right: 1rem;

  background-color: #E6001F;
}

.devices-header-button.add-button {
  background-color: #57A732;
}

.devices-header-button.delete-button:hover,
.devices-header-button.add-button:hover {
  color: #000;
}

.devices-header-button.delete-button:hover {
  -webkit-box-shadow: 0px 5px 25px 0px rgba(255,0,0,1);
  -moz-box-shadow: 0px 5px 25px 0px rgba(255,0,0,1);
  box-shadow: 0px 5px 25px 0px rgba(255,0,0,1);
  background-color: #ff0000;  
}

.devices-header-button.add-button:hover {
  -webkit-box-shadow: 0px 5px 25px 0px rgba(0,255,0,1);
  -moz-box-shadow: 0px 5px 25px 0px rgba(0,255,0,1);
  box-shadow: 0px 5px 25px 0px rgba(0,255,0,1);
  background-color: #00ff00;
}

.device-edit-button,
.device-view-button,
.device-delete-button {
  padding: 0.5rem;
  border-radius: 100%;
  background-color: rgba(0, 0, 0, 0);
}

.device-edit-button > img,
.device-view-button > img,
.device-delete-button > img{
  width: 1.3rem;
  height: 1.3rem;
}

.device-edit-button:hover {
  -webkit-box-shadow: 0px 5px 25px 0px rgba(240,116,39,1);
  -moz-box-shadow: 0px 5px 25px 0px rgba(240,116,39,1);
  box-shadow: 0px 5px 25px 0px rgba(240,116,39,1);
  background-color: #F07427;
}

.device-view-button:hover {
  -webkit-box-shadow: 0px 5px 25px 0px rgba(87,167,50,1);
  -moz-box-shadow: 0px 5px 25px 0px rgba(87,167,50,1);
  box-shadow: 0px 5px 25px 0px rgba(87,167,50,1);
  background-color: #57A732;
}

.device-delete-button:hover {
  -webkit-box-shadow: 0px 5px 25px 0px rgba(230,0,31,1);
  -moz-box-shadow: 0px 5px 25px 0px rgba(230,0,31,1);
  box-shadow: 0px 5px 25px 0px rgba(230,0,31,1);
  background-color: #E6001F;
}

.devices-table-checkbox-column {
  width: 3rem;
}

.devices-table-name-column {
  width: 14rem;
}

.devices-table-token-column {
  width: 18.5rem;
}

.devices-table-action-column {
  width: 10rem;
}

.devices-table-name-column,
.devices-table-token-column {
  overflow: hidden;
  text-align: left;
}

.devices-table-checkbox-column,
.devices-table-action-column {
  display: flex;
  justify-content: center;
}

.profile-devices-table {
  width: 100%;
}

.profile-devices-table > tr > th,
.profile-devices-table > tr > td{
  width: 40%;
}

.profile-devices-table > tr > th:last-child,
.profile-devices-table > tr > td:last-child{
  width: 100%;
}

.device-processes__body > table {
  width: 100%;
}

.device-processes__body > table > tr > th + td {
  width: 33%;
}

.processes-table-pid-column,
.processes-table-name-column {
  border-right: 1px solid #000;
  position: relative;
}

.processes-table-pid-column::after,
.processes-table-name-column::after {
  content: '';
  background-color: #000;
  position: absolute;
  left: 100%;
  top: -10px;
  bottom: -10px;
  width: 1px;
}

.processes-table-name-column, 
.processes-table-time-column {
  padding-left: 1rem;
}

.device-form-container {
  width: 100%;
  height: 100%;
  position: absolute;
  background: rgba(0, 0, 0, 0.2);
  top: 0;
  left: 0;
  z-index: 1;
}

.device-form-wrapper {
  width: 10dvw;
  height: fit-content;
  background: rgba(34, 34, 34, 0.8);
  justify-self: center;
  left: auto;
  margin: auto;
  margin-top: 35dvh;
  border-radius: 15px;
  padding: 2rem 6rem;
  padding-top: 0rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.device-form-title {
  font-size: 2rem;
  align-self: center;
  margin-bottom: 2rem;
}

.device-form-fields,
.device-form-field,
.device-form-input {
  width: 100%;
}

.device-form-field {
  margin-bottom: 2rem;
}

.device-form-label {
  display: block;
  position: absolute;
  pointer-events: none;
  margin-left: 0.5rem;
  transition: 0.3s all ease-in-out;
  transform: translateY(-100%);
}

.device-form-label--fixed,
.device-form-input:focus + .device-form-label {
  transform: translateY(-220%); 
}

.device-form-exit-button {
  width: 1.5rem;
  height: 1.5rem;
  background-color: #E6001F;
  padding: 0;
  position: relative;
  right: -8dvw;
  top: 0.9rem;
}

.device-form-exit-button:hover {
  -webkit-box-shadow: 0px 5px 25px 0px rgba(255,0,0,1);
  -moz-box-shadow: 0px 5px 25px 0px rgba(255,0,0,1);
  box-shadow: 0px 5px 25px 0px rgba(255,0,0,1);
  background-color: #ff0000;
}

@media screen and (max-width: 1700px) {
  .profile-container {
    width: calc(100dvw - 320px);
    margin: 0px auto;
  }
}

@media screen and (max-width: 1500px) {
  .profile-container {
    width: calc(100dvw - 200px);
  }

  .profile-container-wrapper {
    margin: 0 3rem;
  }
}

@media screen and (max-width: 1200px) {
  .profile-container {
    height: fit-content;
  }

  .profile-username-container {
    margin-top: 2rem;
    margin-bottom: 1rem;
  }

  .profile-devices-container {
    margin: 1rem 0;
    min-height: fit-content;
  }

  .profile-info-container {
    margin-bottom: 1rem;
    min-height: fit-content;
  }

  .profile-device-processes-container {
    margin-top: 1rem;
    min-height: fit-content;
  }
}

@media screen and (max-width: 1000px) {
  .profile-info__header, .profile-devices__header, .device-processes__header {
    font-size: 1rem;
    text-align: center;
  }

  .devices-header-button {
    font-size: 1rem;
  }

  .profile-username-container {
    font-size: 1rem;
  }

  .device-processes__body,
  .profile-devices__body,
  .profile-info__body {
    font-size: 0.8rem;
  }
}

@media screen and (max-width: 800px) {
  .profile-container {
    width: calc(100dvw - 50px);
  }

  .profile-container-wrapper {
    margin: 0 1rem;
  }
}

@media screen and (max-width: 600px) {
  .profile-container {
    width: 100dvw;
  }

  .profile-container-wrapper {
    margin: 0 0.5rem;
  }
  
  .devices-table-name-column, .devices-table-token-column {
    max-width: 30dvw;
  }
}
